Page MenuHomePhabricator

Ensure all site logos support HiDPI screens to avoid pixelated/blurry look
Closed, DuplicatePublic

Description

Most Wikipedia's and the other projects' logos still have low-resolution raster images, and appear visibly pixelated on high-resolution displays such as on the third-generation iPad with Retina display.

Fixing this will require redoing a loooot of custom logos. :)

Recommend creating SVG and using PNGs from that.


Attached:

IMG_0017.PNG (1×2 px, 925 KB)

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

So bug 52019 blocks bug 32101 and this bug blocks bug 32101.

  • Bug 71763 has been marked as a duplicate of this bug. ***

Change 195195 had a related patch set uploaded (by Isarra):
Add support for HD versions of the wiki logo in MonoBook-like skins.

https://gerrit.wikimedia.org/r/195195

Change 195195 merged by jenkins-bot:
Add support for HD versions of the wiki logo in MonoBook-like skins.

https://gerrit.wikimedia.org/r/195195

matmarex added a subscriber: matmarex.

The coding part is done, yay! Now we need to configure the logos for Wikimedia wikis.

The patch takes care of 1.5x and 2x, but there are 3x screens out in the wild too (iPhone 6 Plus for example).

In T37337#1118737, @mxn wrote:

The patch takes care of 1.5x and 2x, but there are 3x screens out in the wild too (iPhone 6 Plus for example).

All 3x devices I know of are phones and will get the mobile view by default (which doesn't show this logo), or will scale down the desktop site if switched to it explicitly, so a 3x native logo is overkill for them. Easy to add support in the future if we find we need it though.

Change 201915 had a related patch set uploaded (by Mxn):
Set $wgLogoHD for wikis that currently do so in MediaWiki:Common.css

https://gerrit.wikimedia.org/r/201915

Note to anyone adding high-resolution logos: per longstanding Wikimedia policy, images displayed as project logos must be upload-protected at Commons. I belatedly realized that almost none of the files being used as high-resolution logos in Common.css were upload-protected, only edit-protected. I’ve requested that the files be upload-protected, but any additional high-resolution logos going forward will need to follow the same procedure.

Krenair renamed this task from Wikipedia and other site logos pixelated, blurry on high-resolution screens to Site logos pixelated, blurry on high-resolution screens.Apr 20 2015, 12:25 AM
Krenair assigned this task to mxn.
Krenair moved this task from Working on to To deploy on the Wikimedia-Site-requests board.
Krenair set Security to None.
Krenair added a subscriber: Krenair.

Change 201915 merged by jenkins-bot:
Set $wgLogoHD for wikis that currently do so in MediaWiki:Common.css

https://gerrit.wikimedia.org/r/201915

I need to notify the affected wikis that they can remove the style rules from Common.css, now that they’re redundant to the site configuration.

Besides that, the vast majority of wikis still have no high-resolution logos defined. That would entail finding the correct SVG version of each site’s logo and getting an appropriate thumbnail URL. The Chinese Wikipedia already has different high-resolution logos defined for each variant but no clear way to do that via $wgLogoHD.

@mxn:Thanks for adding ilowiki, I did remove the code from Common.css thinking the previous commit was across the board.

Krinkle renamed this task from Site logos pixelated, blurry on high-resolution screens to Ensure all site logos support HiDPI screens to avoid pixelated/blurry look (tracking).Jun 7 2015, 11:35 AM
Krinkle updated the task description. (Show Details)
Krinkle removed a project: Patch-For-Review.
Krinkle removed a subscriber: Unknown Object (MLST).
Krinkle added a subscriber: Krinkle.

Removing MediaWiki-Interface component. Support for a $wgLogoHD setting has been added to MediaWiki core. It's now a matter of ensuring Wikimedia Foundation projects have SVG logos, generating the relevant PNGs, and configuring them on the cluster.

Many wikis now have HiDPI logos. Tracked in the "wgLogoHD" section at https://github.com/wikimedia/operations-mediawiki-config/blob/master/wmf-config/InitialiseSettings.php. This is a tracking task for the remaining ones.

Aklapper removed mxn as the assignee of this task.Nov 2 2015, 2:33 PM

I am resetting the assignee of this task because there have been no signs of progress lately (please correct me if I'm wrong) and as per T37337#1343944.

Please claim this task again when you plan to fix this task (via 'Reassign / Claim' in the 'Action' dropdown menu) - it would be very welcome.

What's going on? Still just 13 Wikipedias and a small amount of other projects has got Retina ok logo. Is there any chance to get patch for cswiki?

What's going on? Still just 13 Wikipedias and a small amount of other projects has got Retina ok logo. Is there any chance to get patch for cswiki?

@Dvorapa: See previous comments - your contributions are welcome to get some progress here.

This comment was removed by Aloist.
Aloist raised the priority of this task from Low to High.Jul 5 2016, 10:43 AM
This comment was removed by Aloist.
matmarex lowered the priority of this task from High to Low.Aug 1 2016, 9:40 AM
Phabricator_maintenance renamed this task from Ensure all site logos support HiDPI screens to avoid pixelated/blurry look (tracking) to Ensure all site logos support HiDPI screens to avoid pixelated/blurry look.Aug 13 2016, 11:29 PM
tomasz removed tomasz as the assignee of this task.
tomasz added a subscriber: tomasz.

Since the transition to SVG is unlikely to take place very quickly, I would like to ask for 1,5x and 2x versions of the logos for Wikimedia Commons and Wikisource (global, de, en, es & it have the same logo).

@putnik: Could you please create two separate tasks for the creation of HiDPI logos for Commons and Wikisource and assign both to me? I'll get to them ASAP.